[Buildroot] libglibg2 fails

Daniel James Laird daniel.j.laird at nxp.com
Fri Jan 16 09:27:31 UTC 2009


The reason for this is that you have built libiconv and installed the headers.  
However you have not passed the --with-libiconv=gnu to the configure of libglib2.

Are you using an external toolchain?
Are you setting BR2_ENABLE_LOCALE?

Because with an external toolchain you can't set BR2_ENABLE_LOCALE currently (I have hacked a local version for now).  And if BR2_ENABLE_LOCALE is not set then libiconv gets built and your problem arises.

What you could do is update libglib2 to say, if BR2_ENABLE_LOCALE packages+=libiconv and 
GLIB2_CONFIG_OPT+= --with-libiconv=gnu

And that should solve it

Hope this helps
Daniel Laird

-----Original Message-----
From: buildroot-bounces at busybox.net [mailto:buildroot-bounces at busybox.net] On Behalf Of Ulf Samuelsson
Sent: 2009 Jan 16 07:36
To: Buildroot
Subject: [Buildroot] libglibg2 fails

When building libglib2 for both AVR32 and ARM I get the following:

...
gconvert.c:55:2: error: 
   #error GNU libiconv not in use but included iconv.h is from libiconv
make[5]: *** [gconvert.lo] Fel 1
...
make[1]: Leaving directory `<buildroot>/build_avr32/libglib2-2.19.4'
...


Is there anyone capable of building libglib2?

BR
Ulf Samuelsson






_______________________________________________
buildroot mailing list
buildroot at busybox.net
http://lists.busybox.net/mailman/listinfo/buildroot


More information about the buildroot mailing list